# Function prop

Given a property name, returns a function that returns that property from an object let obj = { foo: 1, name: "blarg" }; let getName = prop("name"); getName(obj) === "blarg"

- prop(name): ((obj: any) => any)

- #### Parameters

  - name: any

  #### Returns ((obj: any) => any)

  - - (obj): any

    - #### Parameters

      - obj: any

      #### Returns any

  - Defined in shared/hof.js:82